=== debian/changelog ===
ocamlagrep (1.0-13) unstable; urgency=medium

  * Team upload
  * Update Vcs-*
  * Fix compilation with OCaml 4.08.0

 -- Stéphane Glondu <glondu@debian.org>  Wed, 04 Sep 2019 22:15:26 +0200

ocamlagrep (1.0-12) unstable; urgency=low

  [ Stéphane Glondu ]
  * Team upload
  * Bump debhelper compat to 10 and switch to dh
  * Switch source package format to 3.0 (quilt)
  * Update Vcs-*

  [ Sylvain Le Gall ]
  * Remove Sylvain Le Gall from uploaders (Closes: #869319)

 -- Stéphane Glondu <glondu@debian.org>  Thu, 27 Jul 2017 06:16:32 +0200

ocamlagrep (1.0-11) unstable; urgency=low

  * Use dh-ocaml 0.9.1 features
  * Add homepage field and update debian/watch to point to
    forge.ocamlcore.org
  * Add myself to Uploaders
  * Upgrade Standards-Version to 3.8.3 (section ocaml)

 -- Sylvain Le Gall <gildor@debian.org>  Thu, 17 Dec 2009 00:10:18 +0000

ocamlagrep (1.0-10) unstable; urgency=low

  [ Stefano Zacchiroli ]
  * fix vcs-svn field to point just above the debian/ dir

  [ Ralf Treinen ]
  * Changed doc-base section to Programming/OCaml

  [ Samuel Mimram ]
  * Switch packaging to git
  * Use dh-ocaml.
  * Update compat to 7.
  * Update standards version to 3.8.0.

 -- Samuel Mimram <smimram@debian.org>  Tue, 24 Feb 2009 18:38:46 +0100

ocamlagrep (1.0-9) unstable; urgency=low

  * Rebuild with OCaml 3.10.

 -- Samuel Mimram <smimram@debian.org>  Sat, 08 Sep 2007 01:11:09 +0200

ocamlagrep (1.0-8) unstable; urgency=low

  * Rebuild with OCaml 3.09.2.
  * Update standards version to 3.7.2, no changes needed.

 -- Samuel Mimram <smimram@debian.org>  Thu, 18 May 2006 16:48:03 +0000

ocamlagrep (1.0-7) unstable; urgency=low

  * Correctly generating the dependencies on ocaml-nox, closes: #347457.

 -- Samuel Mimram <smimram@debian.org>  Tue, 10 Jan 2006 22:25:30 +0100

ocamlagrep (1.0-6) unstable; urgency=low

  [ Julien Cristau ]
  * Stop hardcoding the OCaml version number in the package.

  [ Samuel Mimram ]
  * Updated watch file.
  * Rebuild with OCaml 3.09.1.

 -- Samuel Mimram <smimram@debian.org>  Sat,  7 Jan 2006 13:18:00 +0100

ocamlagrep (1.0-5) unstable; urgency=low

  * Updated to OCaml 3.09.0.
  * Updated standards version to 3.6.2, no changes needed.

 -- Samuel Mimram <smimram@debian.org>  Wed,  9 Nov 2005 19:50:04 +0100

ocamlagrep (1.0-4) unstable; urgency=medium

  * Updated to OCaml 3.08.3.
  * Set Debian OCaml Maintainers as Maintainer and put myself in Uploaders.

 -- Samuel Mimram <smimram@debian.org>  Wed, 23 Mar 2005 15:04:47 +0100

ocamlagrep (1.0-3) unstable; urgency=low

   * Installing agrep.a since gcc seems to look for it when compiling with
     ocamlopt, closes: #293696.
   * Changed my email since I'm a DD now.

 -- Samuel Mimram <smimram@debian.org>  Tue,  8 Feb 2005 00:40:27 +0100

ocamlagrep (1.0-2) unstable; urgency=low

  * Build with OCaml 3.08.
  * Depends on -nox version of ocaml packages.

 -- Samuel Mimram <samuel.mimram@ens-lyon.org>  Wed, 21 Jul 2004 18:48:42 +0200

ocamlagrep (1.0-1) unstable; urgency=low

  * Initial Release.

 -- Samuel Mimram <samuel.mimram@ens-lyon.org>  Wed, 21 Jan 2004 17:58:10 +0100
