=== debian/control ===
Source: ocamlagrep
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Samuel Mimram <smimram@debian.org>
Build-Depends: debhelper (>= 10), dh-ocaml (>= 0.9.1), ocaml-nox (>= 3.11)
Standards-Version: 3.8.3
Vcs-Git: https://salsa.debian.org/ocaml-team/ocamlagrep.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocamlagrep
Homepage: http://forge.ocamlcore.org/projects/ocamlagrep/

Package: libagrep-ocaml-dev
Architecture: any
Depends: libagrep-ocaml (= ${binary:Version}), ${ocaml:Depends}, ${misc:Depends}
Provides: ${ocaml:Provides}
Description: Wu-Manber algorithm for string searching with errors
 This OCaml library implements the Wu-Manber algorithm for string searching
 with errors, popularized by the "agrep" Unix command and the "glimpse" file
 indexing tool. It was developed as part of a search engine for a largish MP3
 collection; the "with error" searching comes handy for those who can't spell
 Liszt or Shostakovitch.
 .
 Given a search pattern and a string, this algorithm determines whether the
 string contains a substring that matches the pattern up to a parameterizable
 number N of "errors". An "error" is either a substitution (replace a
 character of the string with another character), a deletion (remove a
 character) or an insertion (add a character to the string). In more
 scientific terms, the number of errors is the Levenshtein edit distance
 between the pattern and the matched substring.
 .
 The search patterns are roughly those of the Unix shell, including
 one-character wildcard (?), character classes ([0-9]) and multi-character
 wildcard (*). In addition, conjunction (&) and alternative (|) are supported.
 General regular expressions are not supported, however.
 .
 This package contains all the development stuff you need to use
 the agrep OCaml library in your programs.

Package: libagrep-ocaml
Architecture: any
Depends: ${ocaml:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${ocaml:Provides}
Description: Wu-Manber algorithm for string searching with errors
 This OCaml library implements the Wu-Manber algorithm for string searching
 with errors, popularized by the "agrep" Unix command and the "glimpse" file
 indexing tool. It was developed as part of a search engine for a largish MP3
 collection; the "with error" searching comes handy for those who can't spell
 Liszt or Shostakovitch.
 .
 Given a search pattern and a string, this algorithm determines whether the
 string contains a substring that matches the pattern up to a parameterizable
 number N of "errors". An "error" is either a substitution (replace a
 character of the string with another character), a deletion (remove a
 character) or an insertion (add a character to the string). In more
 scientific terms, the number of errors is the Levenshtein edit distance
 between the pattern and the matched substring.
 .
 The search patterns are roughly those of the Unix shell, including
 one-character wildcard (?), character classes ([0-9]) and multi-character
 wildcard (*). In addition, conjunction (&) and alternative (|) are supported.
 General regular expressions are not supported, however.
 .
 This package contains only the shared runtime stub libraries.
