=== debian/changelog ===
ocamlagrep (1.1-1build3) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 16 Jun 2025 10:20:53 +0200

ocamlagrep (1.1-1build2) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 28 Jan 2025 18:36:07 +0100

ocamlagrep (1.1-1build1) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Aug 2024 14:08:14 +0200

ocamlagrep (1.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release (Closes: #1073889)
  * Update Homepage
  * Bump Standards-Version to 4.7.0

 -- Stéphane Glondu <glondu@debian.org>  Fri, 09 Aug 2024 07:58:29 +0200

ocamlagrep (1.0-15) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

 -- Stéphane Glondu <glondu@debian.org>  Sat, 02 Sep 2023 09:55:13 +0200

ocamlagrep (1.0-14) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.6.2
  * Add Rules-Requires-Root: no
  * Remove Samuel from Uploaders

  [ Ralf Treinen ]
  * debian/watch:
    - switch to github location
    - version 4 (no change)
  * drop dh_clean override, use debian/clean file instead
  * debian/copyright: convert to format 1.0

 -- Stéphane Glondu <glondu@debian.org>  Sat, 12 Aug 2023 11:23:45 +0200
