=== debian/rules ===
--- 
+++ 
@@ -27,10 +27,6 @@
 	$(MAKE) agrep.cmxa
 endif
 
-.PHONY: override_dh_clean
-override_dh_clean:
-	rm -rf debian/doc
-
 .PHONY: override_dh_auto_install
 override_dh_auto_install:
 	mkdir -p debian/tmp/$(OCAML_STDLIB_DIR)/agrep
