=== debian/watch ===
version=4
opts=uversionmangle=s/(\d?)(\d?)/$1.$2/ \
  https://github.com/xavierleroy/ocamlagrep/tags .*/release(\d\S*)\.tar\.gz
